Bug 457159 - module 'Ice' not found while using ice-python
module 'Ice' not found while using ice-python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ice (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Mary Ellen Foster
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 18:38 EDT by Timothy Selivanow
Modified: 2008-09-10 03:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 08:18:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Selivanow 2008-07-29 18:38:57 EDT
Description of problem:
I'm trying to run through the example at
http://www.zeroc.com/doc/Ice-3.3.0/manual/Hello.4.7.html and I have encountered
an error.  When I try to run the server (Server.py), python dumps out with an
import error unable to find module 'Ice'.  I installed the ZeroC repository on a
CentOS 5 i386 machine, and I can run through the example.  Other than the
difference between one being /usr/lib64/python2.5/ and the other being
/usr/lib/python2.4/, both site-packages/Ice/ have the same layout and files.


Version-Release number of selected component (if applicable):
ice-python-3.3.0-3.fc9.x86_64


How reproducible:
Always


Steps to Reproduce:
1. yum install ice-python-devel
2. run through example at mentioned URL

  
Actual results:
$ python ./Server.py 
Traceback (most recent call last):
  File "./Server.py", line 1, in <module>
    import sys, traceback, Ice
ImportError: No module named Ice


Expected results:
1.  $ python ./Server.py
2.  $ python ./Client.py
3.  Hello World!
Comment 1 Timothy Selivanow 2008-08-01 17:11:10 EDT
Taking another look at this, it seems ice-python is missing a .pth file to make
this work.  Upstream has (for i386 rhel5)
/usr/lib/python2.4/site-packages/ice.pth and doing a `rpm -qf` on it shows
'ice-python-3.3.0-1.rhel5' owns it.
Comment 2 Fedora Update System 2008-08-02 02:07:36 EDT
ice-3.3.0-4.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-08-02 02:08:21 EDT
ice-3.3.0-4.fc9 has been submitted as an update for Fedora 9
Comment 4 Fedora Update System 2008-08-07 19:49:53 EDT
ice-3.3.0-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ice'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7004
Comment 5 Fedora Update System 2008-08-07 19:59:23 EDT
ice-3.3.0-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ice'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7120
Comment 6 Fedora Update System 2008-09-05 08:18:03 EDT
ice-3.3.0-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-09-05 08:21:19 EDT
ice-3.3.0-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-09-10 02:46:02 EDT
ice-3.3.0-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-09-10 03:17:05 EDT
ice-3.3.0-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.